SLOs
List SLOs
GET
/
slos
List SLOs
curl --request GET \
--url https://use.observer/api/v1/slos \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/slos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/slos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metric_def_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_pct": "<string>",
"window_days": 123,
"public": true,
"created_at": "2023-11-07T05:31:56Z",
"unknown_policy": "down",
"maintenance_policy": "exclude",
"error_budget_remaining_pct": "<string>",
"last_evaluated_at": "2023-11-07T05:31:56Z",
"config_key": "<string>",
"managed_by": "config",
"suspended": true,
"suspended_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}Authorizations
Query Parameters
Was this page helpful?
⌘I
List SLOs
curl --request GET \
--url https://use.observer/api/v1/slos \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/slos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/slos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metric_def_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_pct": "<string>",
"window_days": 123,
"public": true,
"created_at": "2023-11-07T05:31:56Z",
"unknown_policy": "down",
"maintenance_policy": "exclude",
"error_budget_remaining_pct": "<string>",
"last_evaluated_at": "2023-11-07T05:31:56Z",
"config_key": "<string>",
"managed_by": "config",
"suspended": true,
"suspended_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}
